# VecGetArrays

Returns a pointer to the arrays in a set of vectors that were created by a call to VecDuplicateVecs(). You MUST call VecRestoreArrays() when you no longer need access to the array.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecGetArrays(const Vec x[],PetscInt n,PetscScalar **a[])

Not Collective

### Input Parameter

| x | - the vectors
| n | - the number of vectors

### Output Parameter

a -location to put pointer to the array

### Fortran Note

This routine is not supported in Fortran.

### See Also

VecGetArray(), VecRestoreArrays()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages